OpenVDB: RootNode< ChildT >::TileIterator Class Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RootNode< ChildT >::TileIterator Class Reference

`#include <nanovdb/util/GridBuilder.h>`

## Public Member Functions
| TileIterator ()
| TileIterator (const RootNode *parent)
TileIterator & | operator= (const TileIterator &)=default
const Tile & | operator* () const
const Tile * | operator-> () const
Coord | getOrigin () const
Coord | getCoord () const
| operator bool () const
const ChildT * | probeChild (ValueType &value)
bool | isValueOn () const
TileIterator & | operator++ ()
TileIterator | operator++ (int)
uint32_t | pos () const

## Constructor & Destructor Documentation

## ◆ TileIterator() [1/2]

template<typename ChildT >

TileIterator | ( |  | ) |
| inline

## ◆ TileIterator() [2/2]

template<typename ChildT >

TileIterator | ( | const RootNode * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT >

Coord getCoord | ( |  | ) | const
| inline

## ◆ getOrigin()

template<typename ChildT >

Coord getOrigin | ( |  | ) | const
| inline

## ◆ isValueOn()

template<typename ChildT >

bool isValueOn | ( |  | ) | const
| inline

## ◆ operator bool()

template<typename ChildT >

operator bool | ( |  | ) | const
| inline

## ◆ operator*()

template<typename ChildT >

const Tile & operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<typename ChildT >

TileIterator & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<typename ChildT >

TileIterator operator++ | ( | int |  | ) |
| inline

## ◆ operator->()

template<typename ChildT >

const Tile * operator-> | ( |  | ) | const
| inline

## ◆ operator=()

template<typename ChildT >

TileIterator & operator= | ( | const TileIterator & |  | ) |
| default

## ◆ pos()

template<typename ChildT >

uint32_t pos | ( |  | ) | const
| inline

## ◆ probeChild()

template<typename ChildT >

const ChildT * probeChild | ( | ValueType & | value | ) |
| inline